Bug 6070 - Fatal error when managing Article Submission fee
Fatal error when managing Article Submission fee
Status: RESOLVED FIXED
Product: OJS
Classification: Unclassified
Component: Payments
2.3.3
PC Mac OS X 10.6
: P5 normal
Assigned To: PKP Support
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-26 10:12 PDT by James MacGregor
Modified: 2010-10-29 17:47 PDT (History)
1 user (show)

See Also:
Version Reported In:
Also Affects:


Attachments
Patch against OJS 2.3.3 (1.38 KB, patch)
2010-10-29 16:17 PDT, Alec Smecher
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description James MacGregor 2010-10-26 10:12:04 PDT
I receive the following fatal error when clicking either the "payment received" or "waive" option next to the Article Submission fee on a submission's Summary page: 

[Tue Oct 26 10:08:18 2010] [error] [client 127.0.0.1] NOTICE: Undefined variable: journal (/Users/jmacgreg/git/ojs/pages/sectionEditor/SubmissionEditHandler.inc.php:2421), referer: http://git/ojs/index.php/citation/editor/submission/41
[Tue Oct 26 10:08:18 2010] [error] [client 127.0.0.1] PHP Fatal error:  Call to a member function getId() on a non-object in /Users/jmacgreg/git/ojs/pages/sectionEditor/SubmissionEditHandler.inc.php on line 2421, referer: http://git/ojs/index.php/citation/editor/submission/41

Both the Fast-Track Review and Article Publication options work fine.
Comment 1 Alec Smecher 2010-10-26 10:28:42 PDT
Odd; James, is that a current checkout?
Comment 2 James MacGregor 2010-10-26 18:49:53 PDT
(In reply to comment #1)
> Odd; James, is that a current checkout?

Hi Alec, a *fairly* recent checkout ... and now that I've updated, of course, I'm getting another error entirely. :D I'll only be able to check on new behaviour for this bug once Bug 6075 (not related, but blocking) is fixed.
Comment 3 Alec Smecher 2010-10-27 12:43:34 PDT
Sounds good. I've corrected bug #6075; let me know when you have a chance to test this again.
Comment 4 James MacGregor 2010-10-28 11:05:57 PDT
(In reply to comment #3)
> Sounds good. I've corrected bug #6075; let me know when you have a chance to
> test this again.

Hi Alec, I'm still getting the same error (with minor changes in line referer number, see below): 

[Thu Oct 28 11:01:47 2010] [error] [client 127.0.0.1] NOTICE: Undefined variable: journal (/Users/jmacgreg/git/ojs/pages/sectionEditor/SubmissionEditHandler.inc.php:2390), referer: http://git/ojs/index.php/citation/editor/submission/26
[Thu Oct 28 11:01:47 2010] [error] [client 127.0.0.1] PHP Fatal error:  Call to a member function getId() on a non-object in /Users/jmacgreg/git/ojs/pages/sectionEditor/SubmissionEditHandler.inc.php on line 2390, referer: http://git/ojs/index.php/citation/editor/submission/26
Comment 5 Alec Smecher 2010-10-29 16:17:46 PDT
Created attachment 3315 [details]
Patch against OJS 2.3.3
Comment 6 Alec Smecher 2010-10-29 16:17:53 PDT
Found it, James.
Comment 7 Alec Smecher 2010-10-29 17:47:10 PDT
Committed to OJS 2.3.3-3